Package org.eclipse.e4.ui.model.application.commands

# Interface MBindings

All Known Subinterfaces:
  `MApplication`, `MCompositePart`, `MDialog`, `MPart`, `MPartDescriptor`, `MPerspective`, `MTrimmedWindow`, `MWindow`, `MWizardDialog`

All Known Implementing Classes:
  `ApplicationImpl`, `CompositePartImpl`, `PartDescriptorImpl`, `PartImpl`, `PerspectiveImpl`, `TrimmedWindowImpl`, `WindowImpl`

public interface MBindings
A representation of the model object 'Bindings'.

Mixin interface that lists MBindingContexts that should be active when this object is active.

Example values: org.eclipse.ui.contexts.dialog, org.eclipse.ui.contexts.window

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Binding Contexts`

## Method Summary

Modifier and Type
Method
Description
`List<MBindingContext>`
`getBindingContexts()`
Returns the value of the 'Binding Contexts' reference list.

## Method Details

### getBindingContexts

List<MBindingContext> getBindingContexts()
Returns the value of the 'Binding Contexts' reference list. The list contents are of type `MBindingContext`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Binding Contexts' reference list.